#pragma once
#include <string>
#include <vector>
#include "building.h"

class Service{
    private:
        std::vector<Building*> buildings;
    public:
        Service()=default;
        ~Service()=default;
        void addBuilding(Building* building);
        std::vector<Building*> getAllBuildings();
        std::vector<Building*> getAllToBeRestored();
        std::vector<Building*> getAllToBeDemolished();
        void writeToFile(std::string fileName, std::vector<Building*> buildings);
};